Firmware advice (R4i Gold [r4ids.com]?)

Discussion in 'R4 DS' started by Red-Blue, Apr 10, 2011.

  1. Red-Blue
    OP

    Red-Blue Member

    Newcomer
    27
    0
    May 21, 2009
    Netherlands
    Dear lord, all these different firmwares are truly maddening. So, I got my hands on an R4i. Looked up which version etc, turns out it's an R4 Clone. I believe it's an R4i Gold... clone-thing? I've spent the last few weeks stubbornly trying to figure it out on my own, but I just can't seem to get a decent(/recent) working firmware on the thing.

    Was wondering if someone could point me in the right direction? Although a detailed 'guide' of sorts would be awesome.

    Thanks in advance. (:

    [Edit] I might have to add that I also would like to play Pokémon Black or White. Is that possible, youthinks?

    [Edit 2] I would like to add that there is NO Version 2 on my DS' flashcart label. It's Version 1, I suppose.

    [Edit 3] Silly me, it just says R4I DS V1 on the backside of the cart. Derp.
     
  2. MaxNuker

    MaxNuker GBATemp's Official Shinigami Substitute

    Member
    614
    0
    Mar 21, 2011
    Portugal
    you could try Wood R4 or YSMenu by RetroGameFan
     
  3. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,679
    20,400
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    What is the website printed on the sticker on the front of the card?
     
  4. Red-Blue
    OP

    Red-Blue Member

    Newcomer
    27
    0
    May 21, 2009
    Netherlands
    I wrote it in the thread title - r4ids.com
     
  5. MaxNuker

    MaxNuker GBATemp's Official Shinigami Substitute

    Member
    614
    0
    Mar 21, 2011
    Portugal
  6. CannonFoddr

    CannonFoddr Regular GBATemp Lurker

    Member
    4,115
    68
    Sep 23, 2006
    Sitting by computer
    If neither of them work then I guess you could look at either the official site for that card for an update or here

    Although that particular web address - it seems it hasn't been updated for ~4months
     
  7. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ I drool on my knife

    Member
    19,679
    20,400
    Sep 13, 2009
    Antarctica
    Between insane and insecure
  8. MaxNuker

    MaxNuker GBATemp's Official Shinigami Substitute

    Member
    614
    0
    Mar 21, 2011
    Portugal
    you could use AKAIO 1.8.1 and YSMenu for that card, AKAIO is kinda good.. i dont know about the 1.8.1 version but i think it can run most games! YSMenu is constantly updated by RetroGameFan and is always up to date in game compability

    i think you are lucky! you got a r4 clone that is a clone of AceKard/DSTT (AFAIK)
     
  9. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    AKAIO 1.8.1 had a one-time build for some other carts. It will NOT be getting updates as far as we know.
     
  10. Red-Blue
    OP

    Red-Blue Member

    Newcomer
    27
    0
    May 21, 2009
    Netherlands
    Doesn't sound appealing, but I'll try it nonetheless. Thanks anyways.

    Thanks for the fast replies, guys. Appreciate it.
     
  11. MaxNuker

    MaxNuker GBATemp's Official Shinigami Substitute

    Member
    614
    0
    Mar 21, 2011
    Portugal
    np, Tempers must help Tempers.

    anyways, most cards run YSMenu, and it has a great compability with games!
    if any game is having trouble running ( for example the Pokemon White / Pokemon Black ) you might need to patch them with OpenPatch by RetroGameFan...
     
  12. s4mid4re

    s4mid4re  

    Member
    1,669
    430
    Apr 2, 2011
    United States
    I downloaded the YSmenu and AKAIO for r4i Gold from the official site (r4ids.com) to see if I could help.

    Well I looked into the YSmenu files first and I think it's an acekard clone because I see some 'ak stuff' like akloader.nds, ak2loader.nds, and ak2_sd.dldi in the YSmenu folder. [​IMG]

    If you want to update your YSmenu, you only have to download RetroGameFan's most recent YSmenu and replace the extinfo.dat, infolib.dat, and savlib.dat in the r4i Gold one to Retro's one. Updating usrcheats.dat is optional.

    I'm not sure but maybe you can update your AKAIO to the latest one by replacing the _aio folder and akloader.nds to the latest AKAIO ones. Or maybe Normatt might have blocked it.... maybe.

    Can't test because I don't have that cart; Can somebody test it? [​IMG]
     
  13. tranfeer

    tranfeer GBAtemp Advanced Fan

    Member
    776
    42
    May 23, 2010
    Australia
    In fact,it's r4 ultra.
    Just use the firmware for r4 ultra.
     
  14. Red-Blue
    OP

    Red-Blue Member

    Newcomer
    27
    0
    May 21, 2009
    Netherlands
    Hey guys, I just tried the R4 Ultra firmware. The word 'Loading...' pops up, followed by a white screen.

    Also, I can't get the YSMenu for R4 Clones to work. This is a dual-boot option, right? Cause I can't even get a main boot going. ):

    Sadly, these are for the Version 2.0 flashcart. ):

    Anyone else got some ideas? I'm gonna try AKAIO 1.8.1 now. Didn't work either. White screen.

    FFFUUUU. ))):

    [Edit] This is the one I have.

    http://www.r4-ds-dsi.nl/52-133-thickbox/r4...memory-card.jpg
     
  15. Red-Blue
    OP

    Red-Blue Member

    Newcomer
    27
    0
    May 21, 2009
    Netherlands
    Update. I got WoodR4 running, thank god. Anyone else got the latesy files for it? Cause I still can't play Pokémon or Kirby Squeek Squad ):

    So close to the end. :D

    [Edit] No one? ):